%define prerel 0

%define qtmajor 5
%define qtminor 4
%define qtsubminor 2
%define major 5

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwayland %mklibname gqtwaylandclient %qtmajor
%define libqtwayland_d %mklibname qt5waylandclient -d
%define libqtwayland_p_d %mklibname qt5waylandclient-private  -d

%if %prerel
%define qttarballdir qtwayland-opensource-src-%{qtversion}-RC
%else
%define qttarballdir qtwayland-opensource-src-%{qtversion}
%endif

Name: qtwayland5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt5 - Wayland platform support and QtCompositor module
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %version
BuildRequires: qt5quick-devel >= %version
BuildRequires: qtcore5-private-devel >= %version
BuildRequires: qtgui5-private-devel
BuildRequires: qt5platformsupport-private-devel
 
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5PlatformSupport)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5OpenGL)

BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fontconfig)

BuildRequires: re2c >= 0.11.3

BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(libpci)
BuildRequires: pkgconfig(nss)

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt5 - Wayland platform support and QtCompositor module

%files
%{_qt5_bindir}/qtwaylandscanner
%{_qt5_plugindir}/platforms/*.so
%{_qt5_plugindir}/wayland-decoration-client
%{_qt5_plugindir}/wayland-graphics-integration-client

#------------------------------------------------------------------------------

%package -n %{libqtwayland}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtwayland}
Qt%{qtmajor} Component Library.

%files -n %{libqtwayland}
%{_qt5_libdir}/libQt5WaylandClient.so.%{major}*

#------------------------------------------------------------------------------

%package -n %{libqtwayland_d}
Summary: Devel files needed to build apps based on %name
Group:    Development/KDE and Qt
Requires: %{libqtwayland} = %version
Provides: libqtwayland5-devel = %version
Provides: libqt5wayland-devel = %version
Provides: qtwayland5-devel = %version
Provides: qt5wayland-devel = %version

%description -n %{libqtwayland_d}
Devel files needed to build apps based on %name

%files -n %{libqtwayland_d}
%{_qt5_libdir}/libQt5WaylandClient.so
%{_qt5_libdir}/libQt5WaylandClient.prl
%{_qt5_libdir}/pkgconfig/Qt5WaylandClient.pc
%{_qt5_includedir}/QtWaylandClient
%exclude %{_qt5_includedir}/QtWaylandClient/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_waylandclient.pri
%{_qt5_libdir}/cmake/Qt5WaylandClient
%{_qt5_libdir}/cmake/Qt5Gui/*

#------------------------------------------------------------------------------

%package -n %{libqtwayland_p_d}
Summary: Devel files needed to build apps based on %name
Group:    Development/KDE and Qt

Requires: %{libqtwayland_d} = %version

Provides: libqtwayland-private-devel = %version
Provides: libqtwayland5-private-devel = %version
Provides: libqt5wayland-private-devel = %version
Provides: qtwayland-private-devel = %version
Provides: qt5wayland-private-devel = %version

Requires: qt5core-private-devel = %version
Requires: qt5script-private-devel = %version

%description -n %{libqtwayland_p_d}
Devel files needed to build apps based on %name

%files -n %{libqtwayland_p_d}
%{_qt5_includedir}/QtWaylandClient/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_waylandclient_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir
#apply_patches

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------

%install
%qmakeinstall_std

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog
* Wed Jul 01 2015 filipesaraiva <filipesaraiva> 5.4.2-1.mga5
+ Revision: 849367
- Update to Qt 5.4.2;
- Fix URL to new address qt.io;

* Mon Dec 22 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 804771
- New version 5.4.0

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Wed Feb 05 2014 neoclust <neoclust> 5.1.0-0.5.20131120git8cd1a77.1.mga5
+ Revision: 583556
- imported package qtwayland5


* Sat Nov 23 2013 Lubomir Rintel <lkundrak@v3.sk> - 5.1.0-0.5.20131120git8cd1a77
- Rebuild with EGL backend

* Fri Nov 22 2013 Lubomir Rintel <lkundrak@v3.sk> - 5.1.0-0.4.20131120git8cd1a77
- Rebase to a later snapshot, drop 5.2 ABI patch
- Enable nogl backend

* Sun Nov 10 2013 Rex Dieter <rdieter@fedoraproject.org> 5.1.0-0.4.20130826git3b0b90b
- rebuild (arm/qreal)

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 5.1.0-0.3.20130826git3b0b90b
- Bulk sad and useless attempt at consistent SPEC file formatting

* Sun Oct 06 2013 Lubomir Rintel <lkundrak@v3.sk> - 5.1.0-0.2.20130826git3b0b90b
- Bump platform plugin ABI to 5.2 for Qt 5.2 aplha

* Wed Sep 11 2013 Lubomir Rintel <lkundrak@v3.sk> - 5.1.0-0.1.20130826git3b0b90b
- Initial packaging
- Adjustments from review (Rex Dieter, #1008529)
